Bug 838132 - (RHEV31_SAM_DOC) Document subscription-manager registration.
Document subscription-manager registration.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gordon
ecs-bugs
: Tracking
Depends On: 838133 838134 838136 838137
Blocks: 815465
  Show dependency treegraph
 
Reported: 2012-07-06 14:03 EDT by Stephen Gordon
Modified: 2012-12-04 12:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 838133 838134 838136 838137 (view as bug list)
Environment:
Last Closed: 2012-12-04 12:22:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-07-06 14:03:47 EDT
Description of problem:

We need to document the use of subscription-manager to register to RHN and subscribe to the required channels for RHEV. This will need to be done alongside RHN Classic instructions which we already provide.

We should probably concentrate on the command line, as most RHEV-M servers probably wont run a GUI (we can defer to the SAM guides for those that do want to use it though).

# subscription-manager register
Username: sgordon@redhat.com
Password:
The system has been registered with id: <UUID>
# subscription-manager list --available
# subscription-manager subscribe --pool=<POOLID>
Successfully consumed a subscription from the pool with id <UUID>.

Need to work out what the names to grep out of list available are though for RHEV channels, I only have my employee subs which aren't specific enough.
Comment 1 Stephen Gordon 2012-07-06 14:16:04 EDT
Andy, what's the easiest way to add the RHEV subs using the subscription-manager command line tools? Should we be getting users to follow the route I outline in the bug description of specifying the pools (and are the pool ids static such that we could include them in the docs)? 

Or is it better/easier to use the activation key (where does one find this in RHN-land?
Comment 3 Stephen Gordon 2012-07-11 09:24:28 EDT
Andy, I think to document installation of RHEV-M from certificate based RHN using subscription-manager I *think* we will need to know the 'Product Name', and 'Product Id' as they will appear in the output of:

# subscription-manager list --available

We would need these values for all the RHEV channels if we are to update the documentation to cover the use of subscription-manager.
Comment 4 Stephen Gordon 2012-07-11 14:46:17 EDT
Talking further with Jay, RHEV-M boxes need these entitlements:

JBoss Enterprise Application Platform
Red Hat Enterprise Virtualization
Red Hat Enterprise Linux Server

RHEL Hosts will need these entitlements:

Red Hat Enterprise Virtualization
Red Hat Enterprise Linux Server

RHEL Guests will need these entitlements:

Red Hat Enterprise Linux Server

Subscription requirements for RHN Classic boxes remain unchanged, with the exception of the JBoss channel which of course moves from EAP5 to EAP6.
Comment 5 Stephen Gordon 2012-10-26 11:39:48 EDT
Waiting on Bug # 838136, Bug # 838137 to move to QA.
Comment 6 Stephen Gordon 2012-10-30 14:39:56 EDT
It wasn't marked correctly but this was a tracker, all tracked bugs are VERIFIED or CLOSED so moving tracker to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.